## NMAWifiDialog

NMAWifiDialog

## Functions

GtkWidget * | nma_wifi_dialog_new ()
GtkWidget * | nma_wifi_dialog_new_for_secrets ()
GtkWidget * | nma_wifi_dialog_new_for_hidden ()
GtkWidget * | nma_wifi_dialog_new_for_create ()
NMConnection * | nma_wifi_dialog_get_connection ()
GtkWidget * | nma_wifi_dialog_nag_user ()
void | nma_wifi_dialog_set_nag_ignored ()
gboolean | nma_wifi_dialog_get_nag_ignored ()
GtkWidget * | nma_wifi_dialog_new_for_other ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── NMAWifiDialog

## Description

## Functions

### nma_wifi_dialog_new ()

    GtkWidget *
    nma_wifi_dialog_new (NMClient *client,
                         NMConnection *connection,
                         NMDevice *device,
                         NMAccessPoint *ap,
                         gboolean secrets_only);

Creates a wifi connection dialog and populates it with settings from `connection` if given. If `device` is not given a device selection combo box will be included. If `connection` is not given a connection selection combo box will be included. If `secrets_only` is `FALSE` a complete connection creator/editor dialog is returned, otherwise only wifi security secrets relevant to the security settings in `connection` are going to be shown and will be editable.

#### Parameters

client | client to retrieve list of devices or connections from |
connection | connection to be shown/edited or `NULL` |
device | device to check connection compatibility against |
ap | AP to check connection compatibility against |
secrets_only | whether to only ask for secrets for given connection |

#### Returns

the dialog widget or `NULL` in case of error

### nma_wifi_dialog_new_for_secrets ()

    GtkWidget *
    nma_wifi_dialog_new_for_secrets (NMClient *client,
                                     NMConnection *connection,
                                     const char *secrets_setting_name,
                                     const char *const*secrets_hints);

Creates a wifi secrets dialog and populates it with setting values from `connection` . If `secrets_setting_name` and `secrets_hints` are not given this function creates an identical dialog as `nma_wifi_dialog_new()` would create with the `secrets_only` parameter `TRUE`. Otherwise `secrets_setting_name` and `secrets_hints` determine the list of specific secrets that are being requested from the user and no editable entries are shown for any other settings.

Note: only a subset of all settings and setting keys is supported as `secrets_setting_name` and `secrets_hints` .

#### Parameters

client | client to retrieve list of devices or connections from |
connection | connection for which secrets are requested |
secrets_setting_name | setting name whose secrets are requested or `NULL` |
secrets_hints | array of setting key names within the setting given in `secrets_setting_name` which are requested or `NULL` |

#### Returns

the dialog widget or `NULL` in case of error

### nma_wifi_dialog_new_for_hidden ()

    GtkWidget *
    nma_wifi_dialog_new_for_hidden (NMClient *client);

### nma_wifi_dialog_new_for_create ()

    GtkWidget *
    nma_wifi_dialog_new_for_create (NMClient *client);

### nma_wifi_dialog_get_connection ()

    NMConnection *
    nma_wifi_dialog_get_connection (NMAWifiDialog *self,
                                    NMDevice **device,
                                    NMAccessPoint **ap);

#### Parameters

self | an NMAWifiDialog |
device | . | [out]
ap | . | [out]

#### Returns

.

[transfer full]

### nma_wifi_dialog_nag_user ()

    GtkWidget *
    nma_wifi_dialog_nag_user (NMAWifiDialog *self);

`nma_wifi_dialog_nag_user` is deprecated and should not be used in newly-written code.

#### Returns

.

[transfer full]

### nma_wifi_dialog_set_nag_ignored ()

    void
    nma_wifi_dialog_set_nag_ignored (NMAWifiDialog *self,
                                     gboolean ignored);

`nma_wifi_dialog_set_nag_ignored` is deprecated and should not be used in newly-written code.

### nma_wifi_dialog_get_nag_ignored ()

    gboolean
    nma_wifi_dialog_get_nag_ignored (NMAWifiDialog *self);

`nma_wifi_dialog_get_nag_ignored` is deprecated and should not be used in newly-written code.

### nma_wifi_dialog_new_for_other ()

    GtkWidget *
    nma_wifi_dialog_new_for_other (NMClient *client);

`nma_wifi_dialog_new_for_other` is deprecated and should not be used in newly-written code.